Bug 241843 - [usb-storage] installer stalls indefinitely while "Loading usb-storage driver"
[usb-storage] installer stalls indefinitely while "Loading usb-storage driver"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i686 Linux
low Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks: FCMETA_USB
  Show dependency treegraph
 
Reported: 2007-05-30 23:01 EDT by Gabriel M. Elder
Modified: 2008-06-16 21:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:20:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gabriel M. Elder 2007-05-30 23:01:27 EDT
Description of problem: Caveat: I'm not certain this is kernel-related. Perhaps
a kudzu/detection problem, or an anaconda error-handling/timeout issue? I
apologize in advance if the component or severity assignments were not appropriate.

I have a test machine with a sis chipset in it (see lspci output below). When i
try to boot it with the installation dvd, it gets as far as the blue "Welcome to
Fedora" screen, loads the usb-storage driver, then says it is "Loading SCSI
driver" - Loading pata_sis driver... . It is here that it stalls. I have let it
sit at this point for hours, just to see what it would do, and it does not
continue beyond this. One can hit ctrl+alt+del, and the system will reboot,
apparently via init 6 routine, but will otherwise do apparently nothing at this
point.


Version-Release number of selected component (if applicable):


How reproducible: On my test box, always. On my other machine that has some
other chipset in it, never.


Steps to Reproduce:
1. Boot from fedora 7 test 4 installation dvd.
2. Press enter at grub menu.
3. Watch it go, then eventually stall as described above.
  
Actual results: see Summary


Expected results: Driver loads normally and quickly continues on to the media
check prompt, whereafter installation can proceed as normal.


Additional info: Fedora Core 6 and Ubuntu 7.04 run just fine on this test box. I
just want to run Fedora 7 test 4 on my test box! Ack!

lspci output:
00:00.0 Host bridge: Silicon Integrated Systems [SiS] 651 Host (rev 02)
00:01.0 PCI bridge: Silicon Integrated Systems [SiS] Virtual PCI-to-PCI bridge (AGP)
00:02.0 ISA bridge: Silicon Integrated Systems [SiS] SiS962 [MuTIOL Media IO]
(rev 25)
00:02.1 SMBus: Silicon Integrated Systems [SiS] SiS961/2 SMBus Controller
00:02.5 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE]
00:02.6 Modem: Silicon Integrated Systems [SiS] AC'97 Modem Controller (rev a0)
00:02.7 Multimedia audio controller: Silicon Integrated Systems [SiS] AC'97
Sound Controller (rev a0)
00:03.0 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 Controller (rev 0f)
00:03.1 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 Controller (rev 0f)
00:03.3 USB Controller: Silicon Integrated Systems [SiS] USB 2.0 Controller
00:0d.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
01:00.0 VGA compatible controller: Silicon Integrated Systems [SiS] 65x/M650/740
PCI/AGP VGA Display Adapter
Comment 1 Gabriel M. Elder 2007-06-04 07:38:26 EDT
Upon further review of my notes: the stalling is not actually occurring while
loading the pata_sis driver, it appears to be happening immediately after this,
while displaying that it is "Loading usb-storage driver...".

This is still an issue with the final release version of the fedora 7
installation dvd. I have, however, successfully installed fedora 7 from the live
cd on the same test machine as mentioned above.

Please let me know if anyone wants the lspci output of machine that doesn't have
the stalling problem when booting the installation dvd.

I will try to update this bug report with this new version and summary information.
Comment 2 Christopher Brown 2007-09-13 14:45:55 EDT
Hello Gabriel,

I'm reviewing this bug as part of the kernel bug triage project.

http://fedoraproject.org/wiki/KernelBugTriage

As this is possibly an issue with the usb subsystem I have added a blocker bug
in an attempt to get more interest in resolving your issue. Please could you
confirm this is still an issue for you with the latest kernel. 

As there has been no activity for a while it is possible things are resolved so
I will close in a week or so if no additional information is forthcoming.

Cheers
Chris
Comment 3 Gabriel M. Elder 2007-09-20 11:58:36 EDT
Hi Chris,

Thanks for looking into this. The short answer to your comment is that, yes this
is still an issue, due to the fact that, as mentioned in comment #1, i have the
same problem with the fedora 7 final release installation dvd. This installation
dvd iso image, to my knowledge, has not changed since release, and therefore the
problem still stands that when i try to boot off of the installation dvd, it
still hangs as described above. Ideally, one would hope that this "stalling"
problem, which may or may not be unique to the sis chipset in my test box, would
be addressed, and an updated installation dvd iso respin would be published so
that others using similar hardware would not encounter the same problem. Also,
as mentioned above, the live cd does not exhibit this defect, and i was able to
install fedora 7 onto my test box from that disc.

As for this being an issue with the _current_ kernel, that is somewhat
irrelevant, because this is an issue with the kernel / configuration / subsystem
that is present on the installation dvd iso. That is actually what made it so
difficult for me to categorize this bug report from the beginning. Please add a
comment to contact me via CC List ASAP if you require additional info or assistance.
Comment 4 Christopher Brown 2008-01-08 19:37:05 EST
Hello Gabriel,

Ugh, sorry for the horrendous delay. So I wonder if you've been able to test
this with either the F8 installation DVD or one of the Fedora Unity spins:

http://spins.fedoraunity.org/spins

which might help. My hope is that highlighting this issue as a blocker bug
caused it to be addressed for F8 but if you could update the bug with the latest
that would be greatly appreciated. I'll also try not to take 3 months to respond.

Cheers
Chris
Comment 5 Gabriel M. Elder 2008-01-11 10:17:26 EST
Hi Chris,

Glad to hear this hasn't been forgotten about; thanks for working on it.

I still experience the same problem with the F8 installation DVD. Haven't tried
any re-spins. If i do manage to find some time to do that, i'll be sure to let
you know the results. Any word on what might be causing this annoying behavior
when trying to install? Like i said, this isn't a problem when booting and
installing via the live cd. What's going on during the driver loading / startup
routine of the installation DVD that could be causing this on this particular
machine?
Comment 6 Christopher Brown 2008-01-11 11:38:21 EST
Difficult to say without more information. If you can switch tty's when running
the install (Ctrl+Alt+FunctionKey 1 -6) and post back what each gives you that
might be helpful.

Have you discounted bad media and tested with another DVD?

Check here:

http://fedoraproject.org/wiki/KernelCommonProblems

for additional information on hanging installs. Thanks for the feedback - keep
it coming!

Updating bug title to reflect issue
Comment 7 Gabriel M. Elder 2008-01-12 22:45:37 EST
The media was fine, and i did burn at least two copies. All copies had the same
result where the installer would hang during startup on my test box, but were
able to continue past that point on my primary workstation and even pass the
built-in media check there.

I'll keep you posted with further information and test results, as time permits.

Comment 8 Bug Zapper 2008-05-14 08:41:46 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2008-06-16 21:20:03 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.